Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3205 - ftp and telnet do not work as normal user
Summary: ftp and telnet do not work as normal user
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: telnet
Version: 1.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Florian La Roche
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-02 06:32 UTC by Eugenio Diaz
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-21 15:04:28 UTC


Attachments (Terms of Use)

Description Eugenio Diaz 1999-06-02 06:32:46 UTC
After upgrading from RedHat 6.0 to the latest rawhide as of
29/May/1999, telnet and ftp do not work as a normal user.
When doing a telnet or an ftp over any interface as root it
works well, but when doing it as a normal user I get an
"unknown service" error. Example session:

[nito@fulgore:~]$ telnet kitana
telnet: tcp/telnet: unknown service
[nito@fulgore:~]$ ftp kitana
ftp: ftp/tcp: unknown service
[nito@fulgore:~]$ su -
Password:
[root@fulgore:~]# telnet kitana
Trying 192.168.1.2...
Connected to kitana.softengine.net.
Escape character is '^]'.

Red Hat Linux release 6.0 (Hedwig)
Kernel 2.2.5-15 on an i586
login:
login:
Connection closed by foreign host.
[root@fulgore:~]# ftp kitana
Connected to kitana.softengine.net.
220 kitana.softengine.net FTP server (Version
wu-2.4.2-VR17(1) Mon Apr 19 09:21:53 EDT 1999) ready.
Name (kitana:root): 331 Password required for #~ ~0ho@@$@~.
Password:
530 Login incorrect.
Login failed.
ftp> quit
221 Goodbye.
[root@fulgore:~]#

Other network apps like the remote commands (rsh, etc.),
browsers work fine. Also the servers (ftpd, telnetd) work
fine.

I suppose that by the symptoms it seems like a permissions
problem, but so far I haven't found what it is.

Comment 1 Jeff Johnson 1999-06-02 09:43:59 UTC
Check /etc/nsswitch.conf to determibe where you get your
services from. I do
	services:   nisplus [NOTFOUND=return] files
Put files at the beginning if necessary. Then check permissions
on /etc/services.

Comment 2 Eugenio Diaz 1999-06-03 03:32:59 UTC
Thanks. The problem was the permissions on the /etc/services file they
were 600 when they were supposed to be 644. Again, this happened after
upgrading from 6.0 to latest rawhide as of May 30. I did not changed
the permissions on the file, neither installed anything other than
rawhide that could have changed them, so I guess one of the packages
in rawhide is setting incorrect permissions on the file.

Comment 3 Jeff Johnson 1999-08-21 15:04:59 UTC
This problem appears to be resolved.


Note You need to log in before you can comment on or make changes to this bug.